libosmo-sigtran (2.2.1) unstable; urgency=medium

  * tcap: use libosmo-asn1-tcap public API

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 04 Dec 2025 19:00:05 +0100

libosmo-sigtran (2.2.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * Move osmo_ss7_route_name() to osmo_ss7_route.c
  * vty: Add cmd to look up route
  * vty: show cs7 route: display qos-class configured value
  * vty: Allow filtering by DPC in show cs7 instance route
  * vty: Improve route status display in show cs7 instance route
  * snm: Fix generating wrong format in 'affected PCs' log string
  * xua_rkm: Fix dynamic AS destroyed when multiple ASPs are associated
  * asp: Log close&reconnect triggered from stream
  * asp: Make sure asp->fi is set to NULL when freeing the object
  * asp: Refactor osmo_ss7_asp_restart() into smaller chunks
  * Fix setting traffic-mode 'roundrobin' over VTY
  * ipa: Fix asp_id/SLS unset in tcp-server mode
  * Improve docuemntation of enum osmo_ss7_as_traffic_mode
  * Fix osmo_ss7_tmode_to_xua(OSMO_SS7_AS_TMOD_ROUNDROBIN)
  * default_lm_fsm: Trigger ASP restart by disconnecting the stream
  * Use default_layer_manager for all ASPs in SCTP-mode=client & m3ua-mode=ASP
  * m3ua: Log Tx NOTIFY msg
  * xua_rkm: Make sure existing AS gets added in list to receive ASP-INACTIVE.ind event
  * Make sure to NOTIFY current state to peer after ASP UP ACK / REG RESP
  * Improve format of logline prefix in LOGAS(P) macro
  * asp: Add debug log when transmitting on ASP
  * sccp_user: Fix dynamic ASP not associated to AS
  * Log DPC with configured pointcode format upon routing failure
  * sccp_user: Move lookup to helper function to simplify code
  * as: Introduce internal ss7_as_add_asp() to avoid unnecessary asp lookup
  * sccp_user: Fix ASP not restarted after associating a new AS to it
  * Drop use of deprecated vty is_config_node() cb
  * xua_asp_fsm: Avoid sending NOTIFY in ASP role
  * AS loadsharing: Introduce combined_linkset
  * AS loadsharing: Initial routing implementation based on extended-SLS
  * AS loadsharing: Implement AS loadshare, skip unavailable AS/lset when choosing
  * AS loadsharing: Introduce AS rate_ctr rx:msu:sls:*
  * AS loadsharing: Introduce AS rate_ctr tx:msu:sls:*
  * ASP loadsharing: Pass ownership of Tx xua_msg down the stack [1/2]
  * ASP loadsharing: Pass ownership of Rx xua_msg up the stack [2/2]
  * ASP loadsharing: Pass xua_msg down to xua_as_transmit_msg
  * ASP loadsharing: Implement based on VTY configuration
  * sccp: Apply SLS on locally-originated transmitted Connection-Oriented messages
  * sccp: Allow marking UNIT-DATA.req Sequence Control param non-presence, set SLS
  * AS loadsharing: Log routing lookup logic
  * sccp_scrc: Improve logging of route lookup failure
  * ASP loadsharing: Normal ASP distribution regardless of active state
  * AS loadsharing: Normal route distribution regardless of active state
  * route: osmo_ss7_route_name(): Use osmo_ss7_pointcode_print_buf()
  * vty: Add cmd 'show cs7 instance <0-15> as name AS_NAME'
  * ASP loadsharing: vty: Add cmd 'show cs7 instance <0-15> as binding-table name AS_NAME'
  * AS loadsharing: show cs7 instance <0-15> route binding-table [POINT_CODE]
  * sccp: Use protoClass 0 to transmit SSA
  * m3ua: Fix fsm dispatch failure not generating tx ERR msg to peer
  * vty: Describe lower route priority value means higher priority
  * tests/vty: Test adding routes with smaller bitmask len to routing table
  * vty: Introduce AS node cmd 'binding-table reset'
  * AS loadsharing: Pick 1st ASP upon 1st roundrobin assignment
  * ipa: Use pseudo-random number for SLS in TCP-client too
  * cosmetic: Fix typo in API comment description
  * ipa: Try picking unused asp_id in AS to use as SLS
  * ipa: Store ASP IPA SLS into its own field
  * asp: Rename and clarify asp_id field
  * asp: Document misisng Optional ASP Identifier in Tx ASPUP ACK
  * asp: Expect optional ASP Identifier in Rx ASPUP ACK
  * xua_as_fsm: Remove unneeded double call to fill_notify_statchg_pars()
  * Unify amount of supported rctx items in IE to 128
  * asp: Rework s/get_all_rctx_for_asp/ss7_asp_get_all_rctx_be/g
  * cosmetic: osmo_sccp_user_bind() clarify prim_cb msgb ownership in documentation
  * asp: Make sure asp->{client,server} is nulled before destroy callback
  * asp: Make sure previous stream_srv is immediatelly destroyed when requested
  * Tx multiple Routing Contexts in NOTIFY on ASPs serving multiple AS
  * xua_asp_fsm: Reuse ss7_asp_get_all_rctx_be() in xua_msg_add_asp_rctx()
  * Implement ASP adm state shutdown
  * asp: Avoid accessing dyn sctp-server ASP after closing conn during restart
  * xua_default_lm_fsm: Avoid accessing asp after restart
  * xua: Guard against osmo_fsm_inst_alloc() failures
  * combined_linkset: Improve logging
  * sccp: Introduce LOGPSCI() log macro
  * sccp: Introduce LOGPSCU() log macro
  * sccp: Introduce LOGPSCC() log macro
  * osmo_ss7_hmrt.c: Use LOGSS7()
  * Use osmo_ss7_pointcode_print_buf() instead of static buffer API
  * m3ua: Log SLS of incoming data header
  * sccp_sclc.c: Fix potential memory leak
  * sccp: Implement dpc_accessible()
  * sccp: Improve spec references in code documentation
  * sccp: Validate SUA address parsing succeeds [1/3]
  * sccp: SCOC -> SCRC: Delay called addr lookup until needed [2/3]
  * sccp: SCOC -> SCRC: Use DPC provided from conn info in msg_type != CR [3/3]
  * Rename files in src: s/osmo_ss7/ss7/g
  * m3ua: Discard rx MSUs for non-active AS
  * sccp_scoc.c: validate success of sua_addr_parse()
  * sccp: sccp_addr_to_str_buf(): Use osmo_ss7_pointcode_print_buf()
  * sccp: Log remote PC in LOGPSCC
  * sccp_scoc.c: Log SCRC Routing Failure return cause
  * sccp_scoc: Match local conn by src_ref, not dest_ref
  * sccp_demo_use: Log rx N-PCSTATE.ind
  * asp: Avoid double-free of received msg if conn is teared down
  * Split AS/ASP/XUA_SRV VTY code to its own files
  * ss7_as: Improve description of recovery-timeout VTY cmd
  * ss7_asp: Improve spec references of T(ack)
  * asp: Introduce VTY configurations 'timer xua (ack|beat)'
  * ipa: Implement ASP Hearbeat procedure
  * m3ua/sua: Implement ASP Hearbeat procedure
  * asp,xua_srv: Apply SCTP sockopts only on SCTP osckets
  * asp: Introduce support to configure and enable TCP keep-alive
  * xua_snm.c: Fix wrong PC value passed in MTP-{PAUSE,RESUME} towards SCCP
  * xua_snm.c: Handle DAUD with aff_pc containing wildcards
  * cosmetic: sua: Fix API documentation typo
  * Move sccp_address_book logic out of vty.c
  * asp: Support setting TCP_USER_TIMEOUT over VTY
  * as_vty: Remove old TODO in comment
  * osmo_ss7_route_print(): Use osmo_ss7_pointcode_print_buf()
  * as_vty: Fix 'traffic-mode loadshare' output in 'show running-config'
  * Differentiate between dynamic and static routes
  * xua_asp_fsm: Drop code branch never called in xUA ASP
  * ss7_vty: Improve VTY output of vty_dump_rtable()
  * Fix combined linkset lookup when inserting route
  * combined_linkset: Improve comment explaining ordering
  * route: Print priority in osmo_ss7_route_name()
  * route: Introduce LOGPRT macro to improve logging
  * Move ss7_as_alloc() to correct header
  * Introduce initial route status support
  * Fix static str buf in osmo_ss7_route_print() too small
  * xua_snm: Add fully qualified dynamic routes to track announced PCs
  * route_table: Constify args of serveral APIs
  * route_table: Introduce ss7_route_table_dpc_is_accessible() API
  * Make sure MTP-PAUSE.ind is sent to SCCP when AS goes down
  * sccp_sap.h: Add APIs to insert and update addresses in address book
  * Indicate PC (un)availability from address-book when AS goes up/down
  * Send DUNA during ASP ACT time
  * Improve error log when adding >16 ASPs to an AS
  * xua_rkm: Simplify handle_rkey_reg() with early return path
  * xua_rkm: Improve handling of newly_assigned_as array
  * xua_rkm: Reply RKM RKEY REG with err insufficient resources
  * ipa: tear down conn trying to add >16th ASP to AS
  * cosmetic: Fix typo in comment
  * ss7_vty: Avoid adding route to local PC in role ASP
  * as: Avoid adding dyn route when IPA AS becomes active
  * sccp: Split sccp_scoc into multiple files
  * sccp: Split sccp_instance code from sccp_user.c to its own file
  * sccp: Free connections of sccp_user when unbinding it
  * Make helper function available as internal ss7_as API
  * vty: Make sure user doesn't configure AS in ASP role with a non-local PC as routing-key
  * vty: Introduce missing cmd 'point-code override opc'
  * Improve logging receiving Routing Failure
  * sccp_scoc_fsm: Fix double free of xua msg
  * Use xua_msg_free() everywhere to free xua_msg
  * xua_msg: Constify ptr args in multiple APIs
  * Submit SCRC Routing Failure indications asynchronously
  * xua_snm: Tx DUNA/DAVA to ASPs with single AS and no coordinated rctx
  * xua_asp_fsm: Log rx ASPAC with unknown rctx
  * xua: Introduce internal APIs to transmit DAUD
  * asp: Support Tx DAUD when ASP becomes activated
  * vty: Introduce cmd 'cs7 instance <0-15> asp NAME audit point-code POINT_CODE'
  * sccp: MTP-TRANSFER.req: Set OPC before route lookup
  * sccp: MTP-TRANSFER.req: Allow dpc 0.0.0
  * sccp: MTP-TRANSFER.req: Trigger Routing Failure if no route available
  * xua_as_fsm: Fix wrong pointer cast during XUA_ASPAS_ASP_DOWN_IND
  * xua_asp_fsm: Move helper function to ss7_asp internal API
  * xua_default_lm_fsm: Activate all ASPs in tmode broadcast/loadshare/roundrobin
  * sccp_sclc: Remove SCCP cause mask in N-NOTICE.ind 'Reason for return' field
  * sccp: Allow osmo_sccp_instance_destroy(NULL)
  * m3ua: Fix memleak in m3ua_rx_snm_sg() and some paths of m3ua_rx_snm()
  * m3ua: Forward SCON messages in SG role
  * Propagate rx M3UA SCON -> MTP-STATUS.ind -> N-PCSTATE.ind
  * ipa: Improve logging for AS not found with ipa-unit-name
  * constify msgb param in osmo_sccp_to_xua()/osmo_sua_to_sccp()
  * ipa: Clarify msgb_free in ipa_rx_msg()
  * xua,tcp-m3ua: Unify Rx code paths to deduplicate code
  * cosmetic: mtp.h: improve and fix wrong spec reference
  * mtp: Improve Network Indicator definitions
  * vty: Always write network-indicator
  * mtp_sap.h: Protect MTP_SIO macro params with parenthesis
  * xua_rx_msg: fill xua->mtp.sio with configured network indicator
  * ss7_instance: Introduce API osmo_ss7_instance_get_network_indicator()
  * Add per ss7 instance rate_ctr_group
  * m3ua: Drop rx packets with unexpected Network Indicator
  * mtp: Implement already defined osmo_mtp_prim_name()
  * mtp: Improve mtp_sap/ss7_user APIs
  * mtp: Introduce mtp_prim_* API helpers
  * mtp: Submit MTP-RESUME/PAUSE.ind up over MTP SAP
  * mtp: Submit MTP-STATUS.ind up over MTP SAP
  * ipa: Adapt handling logic of rx msg from osmo_ipa_segmentation_cb()
  * mtp: Introduce osmo_ss7_user_find_by_si() public API
  * mtp: Support MTP-TRANSFER.req/ind of raw IPA messages
  * xua_rkm: Avoid unnecesary ASP lookup by name
  * ss7_asp: Do AS-eSLS table cleanup during osmo_ss7_asp_destroy()
  * ss7_xua_server_destroy(): Disconnect streams properly
  * ss7_xua_srv: Make sure we don't accept conns for ASPs configured as transport-role client
  * ss7_xua_srv: Refactor xua_accept_cb()
  * ss7_as_vty: Fix memleak of AS name
  * ss7_as_vty: Forbid configuring RKM-dynamically allocated AS
  * xua_rkm: remove unneeded check rkm_dyn_allocated
  * Destroy rkm_dyn_allocated AS automatically when running out of ASPs
  * xua_asp_fsm: Move common ipa/xua ASP_DOWN onenter code to helper function
  * Split code to sua_gen_cldr() helper function
  * Split ss7_hmrt.c into mtp3_hm{dc,dt,rt}.c
  * mtp3: Implement RTPC transfer prohibited to concerned SP or STP
  * Implement ITU Q.704 timer T8

  [ Oliver Smith ]
  * Generate a version.h file
  * debian: build with --enable-tcap-loadsharing

  [ Neels Janosch Hofmeyr ]
  * fix SCCP_MAX_OPTIONAL_DATA 128

  [ Alexander Couzens ]
  * xua_msg_copy(): add missing check if xua_msg_alloc() fails
  * ipa: fix a minor memleak when receiving invalid IPA CCM messages
  * ipa: fix a minor memleak for unknown IPA packets
  * build-system: depend on libosmo-asn1-tcap

  [ Daniel Willmann ]
  * ss7_as_select_asp: Pass xua_msg instead of osmo_mtp_transfer_param
  * Constify xua_msg in data_hdr_from_m3ua()
  * Add TCAP based loadsharing/routing
  * Add rate counters for loadshare-tcap
  * Add VTY command to list TCAP ranges for an AS
  * Use config.h with AC_CONFIG_HEADER for defines
  * Use DLTCAP for TCAP log messages
  * Improve tests
  * Fix warning in tcap_transaction_tracking_test
  * tcap_as_loadshare_vty: Avoid possible NULL pointer dereference

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 03 Dec 2025 18:23:48 +0100

libosmo-sigtran (2.1.0) unstable; urgency=medium

  [ Andreas Eversberg ]
  * Reject M3UA with "M3UA Network Appearance"

  [ Neels Hofmeyr ]
  * coverity CID#216830

  [ Harald Welte ]
  * SS7: Support secondary point codes

  [ Pau Espin Pedrol ]
  * tests/vty: Add vty-transcript-test for osmo-stp
  * Fix 'update route' vty command
  * tests/vty/osmo_stp_test.vty: Add some more lines to test 'update route' cmd
  * src/osmo_ss7_vty.c: Improve error formatting in 'update route' cmd
  * vty: Fix 'update route' parameter comment descriptions
  * tests/vty/Makefile.am: Allow testing with specific vty file
  * tests/vty: Show bug inserting routes with different priority
  * ss7 vty: Fix insert order of routes with higher priority
  * ss7 vty: Handle 'update route ... qos-class default' properly
  * ss7 vty: Validate qos-class number being passed to 'update route'
  * ss7 vty: Limit qos-class range to 0-7
  * ss7 vty: Set default route priority to 5
  * ss7 vty: Limit route priority range to 1-9
  * osmo_ss7_route_destroy(): Fix potential null ptr deref
  * sua: sua_iei_names: s/Cause/SCCP Cause/
  * cosmetic: Add some comments with spec references
  * sua, sccp: Add APIs to get cause string description
  * Move include sigtran/m2ua_types.h -> sigtran/protocol/m2ua.h
  * sigtran: xua_msg.h,msg_types.h: Make headers private
  * sigtran: Make osmo_ss7_route_table APIs private
  * sigtran: Add API osmo_ss7_route_get_dest_as()
  * sigtran: Make osmo_ss7_route struct and several APIs private
  * sigtran: Make osmo_ss7_linkset APIs private
  * sigtran: Make osmo_ss7_link APIs private
  * sigtran: Make LOG SS7 macros private
  * tests: Fix missing LIBOSMONETIF_CFLAGS
  * sigtran: Constify osmo_ss7_instance ptr in several APIs
  * sigtran: Split osmo_ss7_instance allocation into its own function
  * sigtran: Add API osmo_ss7_instance_get_id()
  * sigtran: Add API osmo_ss7_instance_get_name()
  * sigtran: Add API osmo_ss7_instance_get_pc_fmt()
  * sigtran: Add API osmo_ss7_instance_get_primary_pc()
  *  sigtran: Add API osmo_ss7_get_sccp()
  * sigtran: Add API osmo_ss7_instances_llist_entry
  * sigtran: Make osmo_ss7_xua_server APIs private
  * sigtran: Add API osmo_ss7_as_get_asp_protocol()
  * route: Fix rt pointer use-after-free
  * sigtran: Add API osmo_ss7_as_select_asp()
  * sigtran: Add public APIs to manage struct osmo_ss7_user
  * sigtran: Make osmo_ss7_user struct private
  * sigtran: Make osmo_ss7_asp struct private
  * sigtran: Make osmo_ss7_asp_peer private
  * sigtran: Make osmo_ss7_instance struct private
  * sigtran: Make osmo_ss7_as struct private
  * cosmetic: osmo_ss7: Rearrange some contents
  * route_table: Split allocation code to its own function
  * Move code to delete routes by as/linkset to helper functions
  * libosmo-sigtran.pc.in: Add missing Requires.private libosmo*
  * jenkins.sh: libosmo-netif no longer depends on libosmo-abis
  * cosmetic: whitespace improvements
  * ipa: Split msgb generation into its own helper function

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 12 Feb 2025 11:35:14 +0100

libosmo-sigtran (2.0.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * ss7_as: Avoid dispatch event to asp with uninitialized FSM

  [ Harald Welte ]
  * remove old static libsccp.a, libmtp.a, libxua.a
  * remove obsolete sccp.h

  [ Oliver Smith ]
  * gitreview: libosmo-sccp -> libosmo-sigtran
  * README: libosmo-sccp -> libosmo-sigtran
  * configure: libosmo-sccp -> libosmo-sigtran
  * contrib/jenkins: libosmo-sccp -> libosmo-sigtran
  * debian: libosmo-sccp -> libosmo-sigtran

 -- Oliver Smith <osmith@sysmocom.de>  Thu, 12 Sep 2024 11:03:17 +0200

libosmo-sccp (1.9.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * sccp2sua: constify params of sccp_ptr_part_consistent()
  * xua_msg: Implement xua_msg_dump() using OSMO_STRBUF
  * sccp2sua: remove unused msg param from sccp_{addr,data}_to_sua_ptr
  * sscp2sua: Constify several more parameters
  * sccp2sua: Produce smaller output if msg contains no optional section
  * cosmetic: sccp_types.h: Fix typo in comment
  * cosmetic: src/Makefile: reformat to one item per line
  * asp: Factor out helper function to match host in asp_peer
  * Split osmo_ss7_asp_peer functionalities to its own file
  * Factor our osmo_ss7_as allocation to its own function
  * Split osmo_ss7_as functionalities to its own file
  * asp: Apply SCTP primary address changes after the ASP was started
  * asp: Apply SCTP peer primary address changes after the ASP was started
  * asp: Support adding new local addresses after the ASP was started
  * sccp: Drop unused local variable
  * asp: Support removing local & remote addresses
  * xua_server: asp: Support removing local addresses
  * sccp_demo_user: Allow initiating conns from vty in server mode
  * sccp_scoc: Fix remote PC not assigned preventing RSLD to be sent in st WAIT_CONN_CONF
  * ipa: Fix client setting unit_id with ASP name instead of AS
  * vty: Retrieve IP addr set from sk when dumping xUA server
  * vty: show cs7 instance asp: Swap columns SCTP Role and Remote Address list
  * vty: show cs7 instance asp: Print loc and rem addr retrieved from socket
  * vty: Introduce cmd 'show cs7 instance asp name ASP_NAME'
  * vty: Introduce show cs7 instance asp-remaddr
  * vty: Introduce show cs7 instance asp-assoc-status
  * cosmetic: Fix typo in function doc
  * ipa: Use ASP name as ipa_unit_name on dynamic ASPs
  * xua_asp_fsm: Fix 'Event AS_ASSIGNED not permitted'
  * Fix wrong string prefix in log line
  * ss7_asp: Update osmo_stream read_cb2 functions to accommodate for new API param

  [ Harald Welte ]
  * sccp: Introduce initial support for SCCP LUDT + LUDTS messages
  * Fix counting received IPA packets in server mode
  * port from osmo_stream_*_get_ofd() to osmo_stream_srv_get_fd()
  * xua_asp_fsm: Log ERROR message when we send a MGMT:ERR message
  * Add new "cs7 instance <0-15> asp NAME disconnect" VTY command
  * vty_test_runner: Avoid bogus erro messages like "AssertionError: False is not true"
  * vty_test_runner: Don't wait for more than 10s when connecting to sockets
  * fix regression in sctp-role / transport-role
  * xua + ipa: Add support for I/O in OSMO_IO mode
  * Revert "xua + ipa: Add support for I/O in OSMO_IO mode"
  * xua + ipa: Add support for I/O in OSMO_IO mode
  * cosmetic: rename ss7_asp_*_conn_cb to ss7_asp_*_conn_rx_cb
  * osmo_ss7_asp: fix uninitialized return value in xua_cli_read_cb()
  * Use same msgb allocation size like before osmo_io introduction
  * Add funding link to github mirror
  * README.md: Update; improve markdown syntax
  * README.md: Add links to forum and issue tracker
  * ipa: Use pseudo-random number for SLS in IPA->M3UA direction

  [ Max ]
  * cosmetic: add spec reference
  * .deb/.rpm: add osmocom user during package install

  [ Vadim Yanitskiy ]
  * build: include README.md into the release tarball
  * return CMD_WARNING if osmo_ss7_xua_server_create() fails
  * fix xua_msg_dump(): convert message length to the host's byte order
  * examples/sccp_demo_user: fix default ASP protocol in help
  * cosmetic: xua_cli_connect_cb(): fix typo in a comment
  * cosmetic: reduce nesting in osmo_ss7_as_find_by_proto()
  * xua_asp_send_xlm_prim(): use LOGPFSML() to print more context
  * osmo_ss7_asp_find_by_name(): improve docs and coding style
  * Implement M3UA-over-TCP (in addition to SCTP)
  * VTY: rename 'sctp-role' to 'transport-role', add an alias
  * xua_accept_cb(): distinguish ASPs using different trans_proto
  * fix log_sctp_notification(): remove unused variable
  * README.md: cosmetic: fix a typo

  [ Oliver Smith ]
  * .deb/.rpm: various fixes related to non-root
  * contrib: remove rpm spec file
  * debian/postinst: add checks, be verbose

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 24 Jul 2024 12:19:24 +0200

libosmo-sccp (1.8.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * sccp_scmg: ignore PCSTATE.indication
  * add osmo_scu_prim_name_c() / _buf()
  * fixup for: add osmo_scu_prim_name_c() / _buf()
  * fix sccp_scoc state S_WAIT_CONN_CONF out_state_mask
  * add two value_string[]s related to N-PCSTATE
  * comment: fix typo 'OSMO_ASCU_'
  * SCCP: implement variable limit on Optional Data (CR,CC,CREF,RLSD)
  * add osmo_sccp_set_max_optional_data()
  * sccp_scoc.c: fix infinite loop on conn ID exhaustion
  * add public API: osmo_sccp_instance_next_conn_id()

  [ Oliver Smith ]
  * Run struct_endianness.py
  * debian: set compat level to 10
  * systemd: depend on networking-online.target

  [ Max ]
  * SS7: do not attempt transfer if AS is down

  [ Vadim Yanitskiy ]
  * mtp_pcap: remove unused static_assert() macro definition
  * {examples,stp}/Makefile.am: fix typo in $(COVERAGE_[C]FLAGS)
  * tests/*/Makefile.am: -Wall is not a preprocessor flag
  * tests: use -no-install libtool flag to avoid ./lt-* scripts
  * tests: $(BUILT_SOURCES) is not defined, depend on osmo-stp
  * tests: execute osmotest{vty,config}.py against osmo-stp
  * osmoappdesc.py: also test doc/examples/osmo-stp-multihome.cfg
  * copyright: fix typo: sysmocom s/s.m.f.c./s.f.m.c./ GmbH

  [ arehbein ]
  * Transition to use of 'telnet_init_default'

  [ Pau Espin Pedrol ]
  * Avoid allocating conn_id 0x00FFFFFF
  * sccp_scpc.c: Simplify conn_create()
  * cosmetic: sccp.h: Fix trailing whitespace
  * Implement sccp_instance->connections as rbtree
  * sccp: Introduce APIs to get/set osmo_sccp_instance priv data pointer
  * .gitignore: Ignore *.pyc
  * osmo_sccp_simple_client_on_ss7_id(): Support ASP explicitly configured as sctp server
  * osmo_sccp_simple_client_on_ss7_id(): Always follow VTY config of ASP if it was explicitly defined in VTY
  * Forbid partial VTY configurations of ASPs with name asp-clnt-*
  * Add osmo_ss7_asp getters for name and proto
  * Set stream_cli/srv name to contain ASP + sockname
  * vty: Improve output of show cs7 instance <0-15> asp
  * xua_default_lm_fsm.c: Log rx ASP_UP timeout with NOTICE level
  * sccp: Use tdef to implement osmo_sccp_timers
  * ss7: Refactor osmo_ss7_asp_find_or_create()
  * asp: Make ASP default LM timers VTY configurable
  * cosmetic: Fix pointer location format
  * tests/vty: test multiple local/remote IP addresses
  * ss7: Log addr and event state for SCTP_PEER_ADDR_CHANGE
  * ss7: Use libosmo-netif's osmo_stream_{cli,srv}_recv() APIs
  * asp: Allow setting IP address as SCTP primary upon conn establishment
  * asp: Monitor SCTP_PEER_ADDR_CHANGE events to re-apply configured Primary Address
  * ss7: Rename internal APIs to avoid exporting them in so file
  * ss7: Drop unneeded else branch after early return
  * ss7: Split asp and xua_server into their own files
  * asp,xua_srv: Use new osmo_stream API to request sockopt SCTP AUTH/ASCONF SUPPORTED
  * Allow configuring per-ASP SCTP INIT parameters

  [ Harald Welte ]
  * cosmetic: Fix log message in routing table add error case
  * ASPAC/ASPIA: Don't add routing context IE in ASP-role if routing context 0
  * cosmetic: fix various typos in comments, log messages and VTY strings
  * M3UA/SUA: Don't add empty routing context IE in DUNA/DAVA/DUPU
  * ipa: use LSBs of file descriptor as SLS in IPA->M3UA direction
  * m3ua: Add some TODO comments on where we fall short of our potential

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 12 Sep 2023 14:03:24 +0200

libosmo-sccp (1.7.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * xua_snm: assert to guard against NULL ptr
  * sccp: Validate local references > 0x00fffffe are not used

  [ Max ]
  * cosmetic: improve usage help of example code
  * SCCP: enforce optional data length limits
  * SCCP: Log more data on CR size error
  * [cosmetic] sccp_scoc.c: constify function parameters
  * Add basic readme for example code
  * SIGTRAN: don't advance FSM on failed connection request
  * SIGTRAN: add function to check connection existence
  * SIGTRAN: error if attempting to send exceedingly big data
  * SIGTRAN: add osmo_sccp_tx_disconn_data() helper
  * examples: update vty code
  * SIGTRAN: arrange the comments in the encoder to match the spec
  * SIGTRAN: cache Optional Data for SCCP CR/CC/RLSD
  * Set working directory in systemd service file

  [ Harald Welte ]
  * Add -Werror=implicit-int -Werror=int-conversion -Werror=old-style-definition
  * SCOC: dump SUA header when logging "mismatching remote pc"
  * cosmetic: fix typo in comment

  [ Oliver Smith ]
  * tests: fix old-style function definition
  * contrib/jenkins.sh: add missing 'make check'

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 07 Feb 2023 14:37:23 +0100

libosmo-sccp (1.6.0) unstable; urgency=medium

  [ Pau Espin Pedrol ]
  * ss7: Use sctp value_string from libosmo-netif
  * xua_default_lm_fsm.c: Fix typo in comment
  * xua_asp_fsm: Fix gcc false positive warning
  * Add ss7 instances to osmo_ss7_instances in creation order

  [ Oliver Smith ]
  * treewide: remove FSF address
  * src/sccp_scmg: fix typo
  * osmo_ss7_instance_destroy: use for_each_entry_safe
  * include/osmocom/sigtran/sccp_sap.h: cosmetic fixes
  * osmo_ss7_vty: add osmo_sccp_addr_by_name_local

  [ Philipp Maier ]
  * sccp_user: do not force the role ASP when configured differently

  [ Harald Welte ]
  * sccp_demo_user: Add command line argument to specify protocol (m3ua/ipa)
  * sccp_demo_user: Add 'show stats' to VTY
  * sccp_demo_user: make sure the command-line specified point codes are used
  * sccp_demo_user: Allow user to specify logmask on command line
  * sccp_demo_user: enable stats / rate_counter timers
  * M3UA/SUA: Implement handling of SCON (signaling congestion)
  * [cosmetic] sccp_scoc.c: fix comments about corresponding SCCP msg types
  * [cosmetic] sccp_scoc: Fix typo in comment
  * update git URLs (git -> https; gitea)

  [ Vadim Yanitskiy ]
  * tests: use 'noinst_PROGRAMS' instead of 'noinst_PROGRAMS'

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 28 Jun 2022 18:22:13 +0200

libosmo-sccp (1.5.0) unstable; urgency=medium

  [ Harald Welte ]
  * Add README.md describing what this repo is about
  * ipa: Use VTY-configured default network indicator
  * ipa_asp_fsm_del_route(): Log what happens if we bail out early
  * don't log "SCTP connection close" if an IPA/TCP connection closes
  * osmo_ss7: Log route destruction (like we log route creation)
  * ipa_asp_fsm: Fix AS lookup from IPA ASP
  * Don't create duplicate routes in osmo_ss7_route_create()
  * ipa: Move automatic route add/del from ASP to AS level
  * osmo_ss7: Truncate route 'mask' to point code bit length
  * xua_as_fsm: Only delete a route for an IPA AS if we created one earlier
  * xua_asp_fsm: Fix IPA client role
  * don't do explicit NULL checks before calling talloc_free()
  * osmo_ss7: free the sock_name string once an ASP socket is closed
  * Revert "osmo_ss7: free the sock_name string once an ASP socket is closed"
  * ss7_vty: Print actual connected port number in case of IPA server
  * Constrain connection ID allocation to 24 bits
  * ss7_asp_test.vty: Allow more asp node commands after shutdown
  * osmo_ss7: introduce notion of configurable 'quirks'
  * m3ua/sua: Add quirk for allowing inbound DAUD from SG in ASP role.
  * m3ua/sua: Add new snm_inactive quirk
  * sccp_scrc: Ensure we have not just SSN but at least OPC+SSN in CallingParty
  * sccp: Add minimalistic support for XUDT / XUDTS
  * sccp_scmg: Add missing line eneding to log statement
  * stp: Add basic RX/TX rate counters on AS and ASP level
  * spelling fixes in comments
  * rate_ctr: Use legal counter group prefixes / names (no '.' allowed)
  * osmo_ss7: properly unlink rate_counter on AS/ASP free

  [ Vadim Yanitskiy ]
  * VTY: write_one_asp(): fix 1 << 31 cannot be represented by 'int'

  [ Pau Espin Pedrol ]
  * cosmetic: xua_asp_fsm.c: reorder functions in file
  * ipa_asp_fsm: Support server starting handshake with ID_GET or ID_ACK
  * cosmetic: Fix extra empty line
  * cosmetic: Fix typos in documentation
  * osmo_sccp_simple_client_on_ss7_id(): Allow set internally proper IPv4/v6 default hosts
  * osmo_ss7.c: Fix typo in doc for osmo_ss7_asp_peer_add_host()

  [ Philipp Maier ]
  * osmo_ss7_vty: automatically create routes for routing key
  * osmo_ss7_vty: allow users to inspect routes also in ASP role

  [ Eric ]
  * m3ua: fix leaky usage of m3ua_tx_xua_asp

  [ Oliver Smith ]
  * m3ua: reject deregistration of static routing keys
  * m3ua: fix m3ua_encode_dupu

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 16 Nov 2021 14:44:42 +0100

libosmo-sccp (1.4.0) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * debian/control: change maintainer to the Osmocom team / mailing list
  * vty: use install_lib_element() and install_lib_element_ve()

  [ Pau Espin Pedrol ]
  * doc: Update VTY reference xml file
  * Support setting rt-prio and cpu-affinity mask through VTY
  * configure.ac: Fix trailing whitespace
  * Introduce SS7 IPv6 support
  * Fix finding ASP on IPv6 connections
  * vty: log and return warning if adding ss7 host to set fails
  * Revert "Revert "Introduce SS7 IPv6 support""
  * Fix change in ss7 server default listen addr, keeps backward-compatibility behavior
  * Validate correctly against IPv6 addresses in osmo_ss7_asp_peer_set_hosts()
  * Fix matching IPv6 anyaddr :: in osmo_ss7_asp_find_by_socket_addr
  * Fix (2) change in ss7 server default listen addr, keeps backward-compatibility behavior
  * Fix default ASP local addr if remote addr contains only IPv4
  * sua: Support SUA_IEI_IPv6
  * xua_msg: Get Rid of confusing double network byte order swap
  * sccp_helpers: Support printing IPV6 SCCP addresses
  * contrib/jenkins: Enable parallel make in make distcheck
  * tests: Explicitly drop category from log
  * gitignore: Ignore autofoo *~ churn
  * tests: Replace deprecated API log_set_print_filename
  * stp: generate coredump and exit upon SIGABRT received

  [ neels ]
  * Revert "Introduce SS7 IPv6 support"

  [ Neels Hofmeyr ]
  * enum osmo_sccp_ssn: rename to OSMO_SCCP_SSN_SMLC_BSSAP_LE
  * add OSMO_SCCP_ADDR_T_MASK for osmo_sccp_addr_cmp()
  * add osmo_sccp_addr_to_str_c osmo_sccp_inst_addr_to_str_c
  * add osmo_sccp_addr_to_id_c()

  [ Philipp Maier ]
  * vty: add attributes to VTY commands indicating when they apply

  [ Harald Welte ]
  * update VTY / copyright message
  * xua_msg_add_data() Mark input argument as 'const'
  * xua_msg: const-ify input arguments to xua_*_get_u32()
  * osmo_ss7: const-ify input arguments to osmo_ss7_as_has_asp()
  * sccp_sap: Fix string for N-PCSTATE primitive
  * xua_msg: Add xua_msg*_get_str() to obtain string IE
  * Introduce osmo_ss7_asp_get_log_subsys()
  * m3ua: re-factor m3ua_rx_xfer(): Externalize AS for ASP lookup
  * m3ua: Move find_as_for_asp() to shared xua_find_as_for_asp()
  * SUA: Verify routing context IE of incoming CL and CO messages
  * xua: Implement SNM availability/unavailability messaging
  * sccp: Notify users of point code available/unavailable
  * sccp: Add minimalistic SCMG implementation
  * xua: introduce xua_msg_get_u32p() helper
  * sua: per-ssn DUNA/DAVA notification
  * sccp: more SCMG handling: SSA and SSP message handling
  * xua_snm: Implement handling of DUPU messages
  * Add osmo_ss7_pointcode_print_buf() to API
  * main: add --vty-ref-mode, use vty_dump_xml_ref_mode()
  * manuals: generate vty reference xml at build time

  [ Oliver Smith ]
  * contrib/jenkins: don't build osmo-gsm-manuals
  * configure.ac: set -std=gnu11
  * xua_test: fix gcc 4 + -std=gnu11 error

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Tue, 23 Feb 2021 17:57:33 +0100

libosmo-sccp (1.3.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * fix memleaks in mtp_user_prim_cb()
  * cs7 vty: add 'show cs7 config'
  * big endian: add missing endian.h in sccp.c
  * cosmetic: apply changes to match struct_endianess.py output
  * add osmo_sccp_user_find() as public API
  * sccp_user_find: optimize: search PC only for valid PC arg
  * sccp_simple_client: only restart ASP if it was created
  * osmo_sccp_simple_client_on_ss7_id(): do not care about ASP name

  [ neels ]
  * Revert "fix memleaks in mtp_user_prim_cb()"
  * Revert "sccp_simple_client: only restart ASP if it was created"

  [ Pau Espin Pedrol ]
  * sua.c: Avoid double free in sua_rx_msg()->...->mtp_user_prim_cb()
  * configure.ac: Check for sctp_recvmsg instead of sctp_send
  * ss7: Return value from child function in osmo_ss7_xua_server_set_local_host
  * ss7: Introduce APIs to manage asp_peer hosts
  * ss7: Set ASP addresses using asp_peer APIs
  * ss7: Fix sccp_simple_server rejecting connections
  * ss7: Improve checks in osmo_ss7_asp_peer_add_host()
  * sccp_demo_user: Bind VTY to -l local address cmdline arg
  * sccp: Fix null ptr access on malformed or unsupported msg received
  * sccp: Add value_string for SCCP message types
  * sccp: Avoid memleak of xua_msg receiving malformed sccp message
  * examples/sccp_test_server.c: Fix typo in log message
  * examples/sccp_demo_user: log category name instead of its hex value
  * sccp: Convert ifelse to switch statement
  * sccp: Improve logging in sccp_to_xua_opt()
  * sccp: Support receiving messages with no optional params
  * sccp2sua.c: Log malformed SUA message
  * sccp: Log missing user and router failure paths
  * sccp: Fix wrong param type in osmo_sccp_pnc_name()
  * example/sccp_demo_user: Use osmocom logging system instead of printf
  * examples/sccp_demo_user: Support reading log/vty config from file
  * osmo_sccp_simple_server(): use sccp instance index 0 instead of 1
  * examples/sccp_test_server: Log primitive name instead of value
  * examples/sccp_test_server: Log disconnect indication in echo service
  * sccp_scoc: Deliver correct disconnect cause and importance to user on timer expiration
  * sccp: Disarm inactivity timer upon T(iar) active->disconn_pend
  * cosmetic: fix typo in comment
  * xua_asp_fsm.c: Drop unused defines

  [ Harald Welte ]
  * sccp_demo_user: Change prompt to not include any '-' symbols
  * don't use 'debug' log level in example configs
  * sccp_internal.h: fix compilation with gcc-10
  * Add "no traffic-mode" configuration to AS
  * M3UA: Accept DATA without routing context IE if only a single AS in ASP
  * libosmo-sccp.spec.in: Use %config(noreplace) to retain current config file
  * Fix race during fast re-establishment of inbound M3UA connections
  * osmo_ss7: remove use-after-free of stream_server after close_cb
  * SCOC: log message type that was received for unknown local reference

  [ Eric ]
  * configure.ac: fix libtool issue  with clang and sanitizer

  [ Philipp Maier ]
  * doc: make sure all log categories are set to level notice

  [ Oliver Smith ]
  * contrib: import RPM spec
  * contrib: integrate RPM spec
  * Makefile.am: EXTRA_DIST: debian, contrib/*.spec.in
  * RPM spec: fix "E: lto-no-text-in-archive"

  [ Vadim Yanitskiy ]
  * sccp2sua: fix typo: s/omso_sccp_addr/osmo_sccp_addr/

 -- Harald Welte <laforge@osmocom.org>  Thu, 13 Aug 2020 11:45:44 +0200

libosmo-sccp (1.2.0) unstable; urgency=medium

  [ Kira Obrezkova ]
  * systemd: This patch adds Documentation field to the systemd service file

  [ Alexander Couzens ]
  * osmo_sccp_simple_client(): use sccp instance index 0 instead of 1
  * sccp_user: correct comment for osmo_sccp_simple_client

  [ Pau Espin Pedrol ]
  * ss7: Do not queue messages if stream is not connected
  * Fix typo in log message of recent commit
  * m3ua: Log incorrect selected AS
  * Defer xua server binding until exit of VTY node
  * ss7: Support multiple addresses in SCTP connections
  * ss7: Log local and remote address set upon ASP restart
  * tests: Introduce test for multi-homing STP features
  * cosmetic: ss7: Fix trailing whitespace
  * vty: Fix write-config of local-ip and remote-ip commands
  * cosmetic: Fix trailing whitespace
  * ss7: Fix osmo_ss7_asp_peer_snprintf() output if peer has zero IP addr assigned
  * ss7: Fix finding asp by socket addr if local ip addr is 0.0.0.0
  * ss7: Fix finding asp by socket addr if it has no remote hosts configured
  * vty: ss7: Make sure ASP has at least INET_ANY addr set if not configured in VTY
  * vty: Print traffic mode during show cs7 instance as
  * ss7: Set default traffic-mode to override
  * ss7: Implement AS traffic mode loadshare using round robin ASP selection
  * ss7: Set configured AS traffic mode when sending Routing Key Register msg
  * ss7: Only override traffic mode from recv REG REQ if not set by VTY
  * xua: Verify all route ctxs received in ASPAC msg
  * ss7: Set Traffic mode and Route Ctx in ASPAC ACK msg if known
  * xua: Allow traffic mode set by peer if not set by VTY
  * xua: Fix private function name
  * xua: loadshare: select ASP for tx only if active
  * xua: Reset AS traffic mode set by peer during shutdown
  * xua: Select only active ASPs during tx in Override traffic mode
  * xua: On new ASPAC, set and notify other ASPs as inactive
  * ss7: Set ASP default remote addr to 127.0.0.1 if none set in VTY
  * xua: Don't send NOTIFY messages to IPA ASPs
  * xua: ipa_asp_fsm: Allow moving ASP to inactive state
  * xua: ipa_asp_fsm: Allow receiving IPA ID ACK before IPA ID RESP
  * ss7: Improve log formatting during ASP restart
  * ss7: Set correct local addr and port during dynamic ASP creation
  * xua: Avoid multiline log in xua_msg_dump()
  * xua: Implement traffic mode broadcast
  * debian: Drop patches directory containing old patch not longer required

  [ Harald Welte ]
  * Move definition of LOGSS7() to header file; add LOGPAS() like LOGPASP()
  * Use LOGPAS / LOGPASP in favor of generic LOGSS7 where applicable
  * ipa: Don't send non-SCCP data over IPA/SCCPlite
  * ipa: Fix crash when parsing of received IPA SCCP message fails
  * ipa: VTY config option to explicitly enable/disable SCCP patching
  * Don't permit routing-context != 0 for IPA peers
  * cosmetic: Document why IPA uses hard-coded routing-context 0
  * Log correct protocol during xua_accept_cb()
  * xua_rkm: Print NOTICE log message if registration for wrong rctx
  * xua_rkm: Don't permit de-registration of rctx with ASP active
  * xua_asp_fsm: Don't send M3UA ERR and then send ASPAC_ACK
  * M3UA: Reject ASP activation + RKM registration for incompatible traffic-mode
  * introduce public enum osmo_ss7_asp_role for ASP/SG/IPSP
  * Allow ASP role to be configured
  * vty: Permit configuration of ASPs in SCTP client mode
  * Don't forget to store the sctp-role during writing config file
  * osmo_ss7: Add osmo_ss7_asp_find()
  * asp: Don't override ASP and SCTP role when re-entering asp node
  * fix generating asp-role that can be parsed when re-opening config file
  * Skip dynamic ASPs when writing the list of ASPs in an AS
  * check for osmo_fsm_register() failures and propagate error
  * xua_asp_fsm: Ensure xUA client includes traffic-mode if configured
  * xua_asp_fsm: Ensure xUA client includes routing contexts in ASPAC/ASPIA
  * stp: exit(2) on unsupported positional arguments on command line
  * ASP FSM: Permit DOWN -> DOWN "transition"
  * ASP: Stop re-transmitting un-acknowledged messages on SCTP down event

  [ Vadim Yanitskiy ]
  * osmo_ss7.c: cosmetic: fix typo in xua_accept_cb()
  * osmo_ss7.c: fix copy-paste error in xua_accept_cb()
  * osmo_ss7.c: fix xua_accept_cb(): properly assign role
  * tests/sccp/Makefile.am: use sccp.o from $(top_builddir)
  * osmo_ss7_vty.c: implement 'active' filter for show_cs7_as_cmd

  [ Oliver Smith ]
  * gitignore: add various generated doc files
  * osmoappdesc.py, tests: switch to python 3

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 02 Jan 2020 21:24:11 +0100

libosmo-sccp (1.1.0) unstable; urgency=medium

  [ Max ]
  * Don't use deprecated osmo_stream_cli_open2()
  * osmo_ss7.c: fix typo
  * OsmoSTP: enable statsd support

  [ Neels Hofmeyr ]
  * debug log typo fix in sccp_scoc.c
  * improve logging for rejected AS in xua_rkm.c
  * add caller-owns-msgb variant osmo_sccp_user_sap_down_nofree()
  * add osmo_sccp_addr_cmp(), osmo_sccp_addr_ri_cmp()

  [ Harald Welte ]
  * vty: Ensure to properly save route pointcode and mask when writing
  * Store + show remote ip/port in dynamically created ASPs
  * Fix output of route destination in 'show ss7 instance <0-15> route'
  * sccp_scoc: Add more comments describing conn_id and local_ref members
  * stp: Ensure telnet uses STP talloc context, not NULL context

  [ Oliver Smith ]
  * Cosmetic: sccp_scoc: fix local reference comments
  * sccp_scoc: move sccp_find_user() up
  * sccp_scoc: conn_create{,_id}() user arg, not inst
  * debian: create -doc subpackage with pdf manuals
  * contrib/jenkins.sh: run "make maintainer-clean"
  * contrib/jenkins.sh: "maintainer-clean" after "publish"

  [ Holger Hans Peter Freyther ]
  * xudt: Implement address and data extraction
  * udts/xudts: Attempt to implement unitdata service parsing

  [ Vadim Yanitskiy ]
  * osmo-stp: register VTY commands for talloc context introspection
  * osmo-stp: expose root talloc context to the VTY code

  [ Daniel Willmann ]
  * manuals: Add script to regenerate vty/counter documentation
  * manuals: Update vty documentation

  [ Kira Obrezkova ]
  * This patch fixes typos on which Lintian complains

  [ Pau Espin Pedrol ]
  * Remove undefined param passed to {logging,osmo_stats}_vty_add_cmds

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Wed, 07 Aug 2019 21:17:59 +0200

libosmo-sccp (1.0.0) unstable; urgency=medium

  [ Harald Welte ]
  * Migrate from ipa_ccm_idtag_parse() to ipa_ccm_id_resp_parse()
  * debian/rules: Don't overwrite .tarball-version
  * Revert "Install systemd services with autotools"
  * osmo-stp.cfg: Ensure example config is well-formed
  * First step towards an OsmoSTP manual
  * STP: Update vty reference XML file
  * vty-ref: Update URI of docbook 5.0 schema

  [ Pau Espin Pedrol ]
  * sscp_scrc: Fix memleak of xua_msg when handing it to scrc_rx_mtp_xfer_ind_xua
  * xua_rkm: Fix xua_msg memleank in handle_rkey_reg_resp
  * Install systemd services with autotools
  * Install systemd services with autotools
  * debian/rules: Remove duplicated override_dh_auto_test section
  * Install sample cfg file to /etc/osmocom
  * debian: Document why enable-static is used in dh_auto_configure

  [ Neels Hofmeyr ]
  * ipa_asp_fsm: init: expect IPA ID ACK, not GET
  * cosmetic: sccp_scoc.c: fix timers definition units
  * drop inaccurate comment from osmo_ss7_vty.c
  * vty: fix 'show asp' from within 'asp' node
  * allow less characters for SCCP address book entries
  * add tests/vty: VTY UI transcript testing
  * sccp_vty: define SCCP_STR once
  * vty: tweak two printed strings
  * vty: install 'show cs7' for sccp addrs on _ve nodes
  * cosmetic: allocate ss7->sccp in one common function
  * sccp_vty: fix doc strings for show ... ssn,connections
  * make SCCP timers configurable
  * build: move include/{mtp,sccp} to include/osmocom/
  * osmo-stp: add SCCP related VTY commands
  * Importing history from osmo-gsm-manuals.git
  * OsmoSTP: update VTY reference
  * stp: update vty reference
  * stp: update vty reference with added SCCP commands

  [ Stefan Sperling ]
  * skip simple-client default as/asp when saving VTY config
  * return error code from xua_srv_conn_cb() if conn is freed
  * fix ipa_asp_fsm down state transition

  [ Max ]
  * Make pointcode width function public
  * Log ip:port for created SS7 server
  * SS7: safeguard against wrong number of pointcode component

  [ Oliver Smith ]
  * build manuals moved here from osmo-gsm-manuals.git
  * Fix DISTCHECK_CONFIGURE_FLAGS override
  * contrib/jenkins.sh: build and publish manuals
  * contrib: fix makedistcheck with disabled systemd

 -- Harald Welte <laforge@gnumonks.org>  Sun, 20 Jan 2019 11:33:22 +0100

libosmo-sccp (0.10.0) unstable; urgency=medium

  [ Harald Welte ]
  * debian/control: match build dependency versions with configure.ac
  * osmo_ss7: Register 5000 as default port for IPA/SCCPlite
  * Introduce osmo_ss7_register_rx_unknown_cb() for unknown PPID/StreamID

  [ Stefan Sperling ]
  * free msgb for primitive allocated in lm_timer_cb() of lm_fsm
  * fix infinite recursion with routing by global title
  * fix use after free in osmo_sccp_simple_server_add_clnt()
  * make it possible to pass parameters to m3ua_example
  * rename m3ua_example to sccp_demo_user
  * sccp_demo_user: use point code 23 for server and 1 for client
  * remove unused -p option from getopt() call in sccp_demo_user

  [ Pau Espin Pedrol ]
  * tests: xua_test: Fix use of wrong buffer for dest addr
  * tests: xua_test: Fix array len computation
  * build: Install example cfg files
  * debian: Package installed example doc files

  [ Neels Hofmeyr ]
  * fix memleak in ipa_rx_msg_sccp
  * cosmetic: sccp2sua.c: log the IEI for parsed SCCP addr
  * add osmo_xua_msg_tall_ctx_init()
  * fix two memleaks in ipa_rx_msg_sccp()
  * comment: explain xua_msg free in m3ua_rx_xfer()

  [ Daniel Willmann ]
  * git-version-gen: Don't check for .git directory

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Fri, 27 Jul 2018 18:45:39 +0200

libosmo-sccp (0.9.0) unstable; urgency=medium

  [ Neels Hofmeyr ]
  * jenkins: use osmo-clean-workspace.sh before and after build
  * vty: skip installing cmds now always installed by default
  * add osmo_sccp_inst_addr_name(), a variant of osmo_sccp_addr_name()
  * sccp vty: be fatal for addressbook entry errors
  * add --enable-sanitize config option
  * sccp_test: sanitize: fix msgb mem leaks
  * sccp_test: sanitize: don't memcmp NULL pointers
  * xua_test: sanitize: fix msgb leak
  * osmo_sccp_addr_name / _dump: drop 'NO_GT' output
  * typo: osmo-stp main: 'Erro'
  * add osmo_sccp_user_name()
  * add osmo_ss7_route_name()
  * cosmetic: hmrt_message_for_routing(): use osmo_ss7_route_name()
  * error log: sccp_scoc.c: log failure to create/resolve conn_id
  * configure: add --enable-werror
  * jenkins.sh: use --enable-werror configure flag, not CFLAGS

  [ Max ]
  * Fix typo in .deb dependency
  * Enable sanitize for CI tests
  * SS7: clarify handling of stream opening error

  [ Harald Welte ]
  * xua: Write 'local-ip' only if non-NULL
  * vty: Make sure 'point-code override dpc' is saved with correct indent
  * ipa: Fix setting of OPC/DPC based on routing-context + override
  * ipa: Fix endianness of pseud-M3UA header
  * initialize msg->l2h in sccp_msgb_alloc()
  * ipa: Patch DPC/OPC information into SCCP Calling/Called Party Address
  * ipa: Automatically create / destroy route on IPA connect/disconnect
  * osmo-stp: Align prompt formatting with other Osmocom programs
  * STP: Add osmoappdesc.py
  * debian/copyright: Fix upstream-name
  * Add SPDX-License-Identifier + missing copyright statements
  * Add "show cs7 (m3ua}sua}ipa)" command to show xUA servers
  * xua_as[p]_fsm: Use osmo_timer_del() on FSM cleanup
  * sccp_helpers: don't return msgb with l2h set
  * Allocate SCCP user primitives with headroom
  * sccp_types.h: Fix value for SCCP_REFUSAL_UNEQUIPPED_USER
  * debian/control: Fix Vcs-Browser
  * ipa_asp_fsm: Prevent against integer underflow

  [ Pau Espin Pedrol ]
  * ss7_vty: Fix out-of-bounds access in 'as' cmd
  * contrib/test: Fix config of local/remote ports
  * ss7: Re-bind xUA server socket after setting new IP
  * contrib: jenkins.sh: Disable doxygen in libosmocore build
  * use osmo_init_logging2

  [ Martin Hauke ]
  * build: AC_PROG_LIBTOOL is the same as LT_INIT

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Thu, 03 May 2018 17:08:07 +0200

libosmo-sccp (0.8.1) unstable; urgency=medium

  * New upstream 0.8.1 release.

 -- Harald Welte <lafore@gnumonks.org>  Sat, 28 Oct 2017 12:40:00 +0200

libosmo-sccp (0.8.0) unstable; urgency=medium

  * New upstream 0.8.0 release.

 -- Harald Welte <laforge@gnumonks.org>  Fri, 27 Oct 2017 21:50:08 +0200

libosmo-sccp (0.7.1) UNRELEASED; urgency=medium

  * Move forward towards a new release.

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Tue, 24 May 2016 22:57:59 +0200

libosmo-sccp (0.7.0) unstable; urgency=medium

  * New release.

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Sat, 01 Aug 2015 20:12:05 +0200

libosmo-sccp (0.0.6.5) unstable; urgency=medium

  * Non-maintainer upload.

 --  Holger Hans Peter Freyther <holger@freyther.de>  Thu, 16 Apr 2015 21:16:25 +0200

libosmo-sccp (0.0.6.4) unstable; urgency=medium

  * Bump the version due the package changes.

 -- Holger Hans Peter Freyther <holger@freyther.de>  Sat, 14 Mar 2015 19:47:20 +0100

libosmo-sccp (0.0.6.3) unstable; urgency=low

  * New upstream release 0.0.6.3.

 -- Holger Hans Peter Freyther <holger@freyther.de>  Tue, 06 Nov 2012 13:24:14 +0100

libosmo-sccp (0.0.6.2+git2-1) precise; urgency=low

  * Fix version issue.

 -- Eric Butler <eric@codebutler.com>  Tue, 14 Aug 2012 20:52:45 -0700

libosmo-sccp (0.0.6.2+git2) precise; urgency=low

  * Update debian package.

 -- Eric Butler <eric@codebutler.com>  Tue, 14 Aug 2012 17:08:14 -0700

libosmo-sccp (0.0.5) unstable; urgency=low

  * New upstream release 0.0.5 

 -- Harald Welte <laforge@gnumonks.org>  Tue, 10 May 2011 17:30:34 +0200

libosmo-sccp (0.0.3) natty; urgency=low

  * New upstream release with 0.0.3 and more.

 -- Holger Hans Peter Freyther <holger@freyther.de>  Thu, 13 Jan 2011 18:16:25 +0800

libosmo-sccp (0.0.2-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Harald Welte <laforge@gnumonks.org>  Tue, 24 Aug 2010 14:08:42 +0200
